#!/bin/env python
from argparse import ArgumentParser, Namespace
from typing import cast

from lib.wallpaper import main


class Arguments(Namespace):
	check_steam: bool = False


def call_from_args() -> None:
	parser = ArgumentParser(description="Adjusts the wallpaper based on the time of day")
	_ = parser.add_argument("-s", "--check-steam", action="store_true", help="Don't adjust the wallpaper if Steam is active")
	args = cast(Arguments, parser.parse_args())
	main(args.check_steam)


if __name__ == "__main__":
	call_from_args()
